You can create a Year sparkline using the YearSparkline function in a formula: =YEARSPARKLINE(year, dataRange, emptyColor, startColor, middleColor, endColor)*. OR *=YEARSPARKLINE(year, dataRange, colorRange).
The function has the following parameters:
year : The full year number, such as 2015.
dataRange : The reference represents a range where the first column is date and the second column is number, such as 'A1:B400'.
emptyColor : The color string represents the days that have no value or zero value, such as 'lightgray'.
startColor : The color string represents the day where the value is the minimum value, such as 'lightgreen'.
middleColor : The color string represents the day where the value is the average of the minimum and maximum, such as 'green'.
endColor : The color string represents the day where the value is the maximum value, such as 'darkgreen'.
colorRange : The reference represents a range where the data is a color string.
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
export function AppFunc() {
const initNormalSheet = (spread) => {
var sheet = spread.sheets[0];
sheet.name("No ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.addSpan(2, 3, 4, 1);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0, 0, "Date");
sheet.setText(0, 1, "Value");
sheet.setText(0, 3, "Diagram");
var currentYear = new Date().getFullYear();
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
}
sheet.getRange(0, 0, 366, 4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0, 0, 1, 4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline(' + currentYear + ', A2:B' + rowCount + ', "#6d6d6d", "#c4c4c4", "#979797", "#f3f3f3")');
sheet.resumePaint();
}
const initColorRangeSheet = (spread) => {
var sheet = spread.sheets[1];
sheet.name("ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0, 0, "Date");
sheet.setText(0, 1, "Value");
sheet.setText(0, 2, "Color");
sheet.setText(0, 3, "Diagram");
sheet.addSpan(2, 3, 4, 1);
var rowCount = sheet.getRowCount();
var currentYear = new Date().getFullYear();
var colorList = ["#82bc00", "#9fc94c", "#00C2D6", "#d2e4a7", "#e9f2d2", "#ffedd3", "#ffdba8", "#ffc97d", "#feb850", "#f7a711", "#00c2d6"];
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
sheet.setValue(row, 2, colorList[Math.round(Math.random() * 10)])
}
sheet.getRange(0, 0, 366, 4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0, 0, 1, 4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline(' + currentYear + ', A2:B' + rowCount + ', C2:C366)');
sheet.resumePaint();
}
const initSpread = (spread) => {
initNormalSheet(spread);
initColorRangeSheet(spread);
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
</div>
);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet></Worksheet>
<Worksheet></Worksheet>
</SpreadSheets>
</div>
</div>
)
}
initNormalSheet(spread) {
var sheet = spread.sheets[0];
sheet.name("No ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.addSpan(2, 3, 4, 1);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0,0,"Date");
sheet.setText(0,1,"Value");
sheet.setText(0,3,"Diagram");
var currentYear = new Date().getFullYear();
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
}
sheet.getRange(0,0,366,4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0,0,1,4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline('+currentYear+', A2:B' + rowCount + ', "#6d6d6d", "#c4c4c4", "#979797", "#f3f3f3")');
sheet.resumePaint();
}
initColorRangeSheet(spread) {
var sheet = spread.sheets[1];
sheet.name("ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0,0,"Date");
sheet.setText(0,1,"Value");
sheet.setText(0,2,"Color");
sheet.setText(0,3,"Diagram");
sheet.addSpan(2, 3, 4, 1);
var rowCount = sheet.getRowCount();
var currentYear = new Date().getFullYear();
var colorList = ["#82bc00", "#9fc94c", "#00C2D6", "#d2e4a7", "#e9f2d2", "#ffedd3", "#ffdba8", "#ffc97d", "#feb850", "#f7a711","#00c2d6"];
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
sheet.setValue(row, 2, colorList[Math.round(Math.random() * 10)])
}
sheet.getRange(0,0,366,4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0,0,1,4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline('+currentYear+', A2:B' + rowCount + ', C2:C366)');
sheet.resumePaint();
}
initSpread(spread) {
this.initNormalSheet(spread);
this.initColorRangeSheet(spread);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app" style="height: 100%;"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

You can create a Year sparkline using the YearSparkline function in a formula: =YEARSPARKLINE(year, dataRange, emptyColor, startColor, middleColor, endColor)*. OR *=YEARSPARKLINE(year, dataRange, colorRange).
The function has the following parameters:
year : The full year number, such as 2015.
dataRange : The reference represents a range where the first column is date and the second column is number, such as 'A1:B400'.
emptyColor : The color string represents the days that have no value or zero value, such as 'lightgray'.
startColor : The color string represents the day where the value is the minimum value, such as 'lightgreen'.
middleColor : The color string represents the day where the value is the average of the minimum and maximum, such as 'green'.
endColor : The color string represents the day where the value is the maximum value, such as 'darkgreen'.
colorRange : The reference represents a range where the data is a color string.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
import '@mescius/spread-sheets-vue'
let initNormalSheet = function (spread) {
var sheet = spread.sheets[0];
sheet.name("No ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.addSpan(2, 3, 4, 1);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0, 0, "Date");
sheet.setText(0, 1, "Value");
sheet.setText(0, 3, "Diagram");
var currentYear = new Date().getFullYear();
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
}
sheet.getRange(0, 0, 366, 4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0, 0, 1, 4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline(' + currentYear + ', A2:B' + rowCount + ', "#6d6d6d", "#c4c4c4", "#979797", "#f3f3f3")');
sheet.resumePaint();
}
let initColorRangeSheet = function (spread) {
var sheet = spread.sheets[1];
sheet.name("ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0, 0, "Date");
sheet.setText(0, 1, "Value");
sheet.setText(0, 2, "Color");
sheet.setText(0, 3, "Diagram");
sheet.addSpan(2, 3, 4, 1);
sheet.setRowCount(365);
var rowCount = sheet.getRowCount();
var currentYear = new Date().getFullYear();
var colorList = ["#82bc00", "#9fc94c", "#00C2D6", "#d2e4a7", "#e9f2d2", "#ffedd3", "#ffdba8", "#ffc97d", "#feb850", "#f7a711", "#00c2d6"];
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
sheet.setValue(row, 2, colorList[Math.round(Math.random() * 10)])
}
sheet.getRange(0, 0, 366, 4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0, 0, 1, 4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline(' + currentYear + ', A2:B' + rowCount + ', C2:C366)');
sheet.resumePaint();
}
let initSpread = function (spread) {
initNormalSheet(spread);
initColorRangeSheet(spread);
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);

You can create a Year sparkline using the YearSparkline function in a formula: =YEARSPARKLINE(year, dataRange, emptyColor, startColor, middleColor, endColor)*. OR *=YEARSPARKLINE(year, dataRange, colorRange).
The function has the following parameters:
year : The full year number, such as 2015.
dataRange : The reference represents a range where the first column is date and the second column is number, such as 'A1:B400'.
emptyColor : The color string represents the days that have no value or zero value, such as 'lightgray'.
startColor : The color string represents the day where the value is the minimum value, such as 'lightgreen'.
middleColor : The color string represents the day where the value is the average of the minimum and maximum, such as 'green'.
endColor : The color string represents the day where the value is the maximum value, such as 'darkgreen'.
colorRange : The reference represents a range where the data is a color string.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
}
initNormalSheet(spread: GC.Spread.Sheets.Workbook) {
var sheet = spread.sheets[0];
sheet.name("No ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.addSpan(2, 3, 4, 1);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0,0,"Date");
sheet.setText(0,1,"Value");
sheet.setText(0,3,"Diagram");
var currentYear = new Date().getFullYear();
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
}
sheet.getRange(0,0,366,4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0,0,1,4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline('+currentYear+', A2:B' + rowCount + ', "#6d6d6d", "#c4c4c4", "#979797", "#f3f3f3")');
sheet.resumePaint();
}
initColorRangeSheet(spread: GC.Spread.Sheets.Workbook) {
var sheet = spread.sheets[1];
sheet.name("ColorRange");
sheet.suspendPaint();
sheet.setFormatter(-1, 0, "yyyy-MM-dd");
sheet.setColumnWidth(0, 80);
sheet.setColumnWidth(1, 60);
sheet.setColumnWidth(3, 600);
sheet.setRowCount(366);
var rowCount = sheet.getRowCount();
sheet.setText(0,0,"Date");
sheet.setText(0,1,"Value");
sheet.setText(0,2,"Color");
sheet.setText(0,3,"Diagram");
sheet.addSpan(2, 3, 4, 1);
sheet.setRowCount(365);
var rowCount = sheet.getRowCount();
var currentYear = new Date().getFullYear();
var colorList = ["#82bc00", "#9fc94c", "#00C2D6", "#d2e4a7", "#e9f2d2", "#ffedd3", "#ffdba8", "#ffc97d", "#feb850", "#f7a711","#00c2d6"];
for (var row = 1; row < rowCount; row++) {
sheet.setValue(row, 0, new Date(currentYear, 0, row + 1));
sheet.setValue(row, 1, Math.round(Math.random() * 100));
sheet.setValue(row, 2, colorList[Math.round(Math.random() * 10)])
}
sheet.getRange(0,0,366,4).hAlign(GC.Spread.Sheets.HorizontalAlign.center);
sheet.getRange(0,0,1,4).backColor("#999999").foreColor("#FFFFFF");
//year sparkline
sheet.setFormula(2, 3, '=YearSparkline('+currentYear+', A2:B' + rowCount + ', C2:C366)');
sheet.resumePaint();
}
initSpread($event: any) {
let spread = $event.spread;
this.initNormalSheet(spread);
this.initColorRangeSheet(spread);
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet></gc-worksheet>
<gc-worksheet></gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);